Context Layers API
Context Layers API: retrieve SAR fixed infrastructure data in MVT format.
Context layers allow you to get SAR fixed infrastructure data in MVT format
Get SAR fixed infrastructure context layer in MVT format
# Make sure to replace [TOKEN] with your API Access Token
curl --location 'https://gateway.api.globalfishingwatch.org/v3/datasets/public-fixed-infrastructure-filtered:latest/context-layers/1/0/1' \
-H "Authorization: Bearer [TOKEN]" \
-o "sar_fixed_infrastructure.mvt"// Make sure to replace [TOKEN] with your API Access Token.
const res = await fetch(
'https://gateway.api.globalfishingwatch.org/v3/datasets/public-fixed-infrastructure-filtered:latest/context-layers/1/0/1',
{ headers: { Authorization: 'Bearer [TOKEN]' } }
)
const blob = await res.blob()If the request is successful, in this example the response will be a MVT file similar to this.
Get SAR (Synthetic-aperture radar) offshore infrastructure data between 2017 to 3 months ago that were detected with satellite imagery and classified with deep learning. Refer to the Paper Paolo et al. 2024, Nature for more details.
This is the same API used in our Public Map, which means that we are filtering the data compared to the Data Download Portal. In the Map and API we exclude data labeled as noise, lake_maracaibo is relabeled oil, only structures that have been detected for at least 3 months and have a predicted noise probability of < .3 are included, and data from certain regions, such as Chile, Canada, and Norway are filtered to remove additional noisy detections. Specifically, we are removing these coordinates:
- (lat BETWEEN -50.6 AND -41.51 AND lon BETWEEN -80.44 AND -75.71) -- chile
- (lat BETWEEN 50.6 AND 74.02 AND lon BETWEEN -115.8 AND -60.53) -- canada
- (lat BETWEEN 64.2 AND 67.43 AND lon BETWEEN 10.58 AND 16.06) -- norway_s
- (lat BETWEEN 67.63 AND 71.19 AND lon BETWEEN 12.44 AND 31.08) -- norway_n
You can find on the right, this example:
- EXAMPLE - All SAR fixed infrastructure in zoom level 1 and x index (lat) of the tile 0 and y index (lon) 1
Use Cases using this data
Maritime domain awareness
-
Infrastructure locations can support maritime domain awareness, and understanding of other activities occurring at sea.
-
Infrastructure data supports assessments of ocean industrialization, facilitating monitoring of areas experiencing build-up or new development
Monitoring vessels
-
Infrastructure locations can be used to analyse the behaviour of vessels associated with infrastructure, including grouping vessels based on their interaction with oil and wind structures.
-
Interactions between vessels and infrastructure can help quantify the resources required to support offshore industrial activity
-
The impacts of infrastructure on fishing, including attracting or deterring fishing, can be analysed.
Marine protected areas (MPAs) and marine spatial planning During the planning stage in the designation of new protected areas, knowing the location of existing infrastructure will be vital to understand which stakeholders shall be included in the consultation process, to understand potential conflicts, and identify easy wins.
Environmental impacts Infrastructure locations can be used to help detect marine pollution events, and to differentiate between types of pollution events (e.g. pollution from vessels versus pollution from platforms)
Get fixed infrastructure in MVT
Authorization
ApiKeyAuth In: header
Path Parameters
curl -X GET "https://example.com/api/v3/datasets/{dataset}/context-layers/0/0/0"{ "error": "Unauthorized", "messages": [ { "detail": "No authorized", "metadata": {}, "title": "Unauthorized" } ], "statusCode": 401}{ "error": "Forbidden", "messages": [ { "detail": "You do not have permissions to do the action", "metadata": {}, "title": "Forbidden" } ], "statusCode": 403}{ "error": "Not Found", "messages": [ { "detail": "[resource] not found", "metadata": {}, "title": "Not Found" } ], "statusCode": 404}{ "error": "Unprocessable Entity", "messages": [ { "detail": "Validation exception", "metadata": {}, "title": "Unprocessable Entity" } ], "statusCode": 422}{ "error": "Service Unavailable", "messages": [ { "detail": "Service unavailable", "metadata": {}, "title": "Service Unavailable" } ], "statusCode": 503}Get fixed infrastructure in MVT - Response
| Field | Description |
|---|---|
| structure_id | unique identifier for all detections of the same structure. Example: 254126 |
| lat | latitude of the structure in float format, example: 69.0376701416465 |
| lon | longitude of the structure in float format, example: -136.835064603853 |
| label | predicted structure type. Possible values: oil, wind, and unknown |
| structure_start_date | the first date the structure was detected in epoch format, example: 1483228800000 |
| structure_end_date | the last date the structure was detected in epoch format, example: 1709251200000 |
| label_confidence | label confidence. Confidence levels of high, medium, and low are assigned to each structure, and are conditional on where the detections fell in relation to the boundaries of manually developed wind and oil polygons, and whether the label has changed from the previous month. The confidence field can be used to filter analysis. |